API referenceEndpointsRedemption
Trade the signature for a session token
POST
application/json- body
wallet*stringmessage*stringExactly as returned by /auth/nonce.
signature*stringBase58 signature from the wallet.
A bearer token valid for one hour. There is no refresh token.
application/json- response
success?booleandata?curl -X POST 'https://api-staging.theverity.xyz/api/v1/redeem/auth/verify' \ -H 'Content-Type: application/json' \ -d '{ "wallet": "string", "message": "string", "signature": "string"}'Example Response
{ "success": true, "data": { "accessToken": "string", "expiresIn": 0, "wallet": "string" }}